View Issue Details

IDProjectCategoryView StatusLast Update
0032626CommunityOCCT:Samplespublic2021-10-24 10:23
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032626: Samples - add Qt::WA_NativeWindow attribute to Qt IESample
DescriptionAlthough sample itself works without Qt::WA_NativeWindow attribute, it is required by design of OpenGL viewer integration and to avoid issues on using this widget in other combinations:
https://dev.opencascade.org/content/there-way-disable-aisviewcontroller
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Attached Files

  • Stacked007.png (15,042 bytes)

Activities

kgv

2021-10-16 12:21

developer  

Stacked007.png (15,042 bytes)

git

2021-10-16 12:22

administrator   ~0104688

Branch CR32626 has been created by kgv.

SHA-1: e4538238354c893989078a2ad09a25a2aa789e8d


Detailed log of new commits:

Author: kgv
Date: Sat Oct 16 12:22:12 2021 +0300

    0032626: Samples - add Qt::WA_NativeWindow attribute to Qt IESample

kgv

2021-10-16 13:25

developer   ~0104689

Please raise the patch
- OCCT: branch CR32626.

http://jenkins-test-12.nnov.opencascade.com/view/CR32626-master-KGV/view/SAMPLES/

smoskvin

2021-10-23 16:59

administrator   ~0104808

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-24 10:23

administrator   ~0104829

Branch CR32626 has been deleted by mnt.

SHA-1: e4538238354c893989078a2ad09a25a2aa789e8d

Related Changesets

occt: master 4e61131a

2021-10-16 09:22:12

kgv


Committer: smoskvin Details Diff
0032626: Samples - add Qt::WA_NativeWindow attribute to Qt IESample Affected Issues
0032626
mod - samples/qt/Common/src/View.cxx Diff File

Issue History

Date Modified Username Field Change
2021-10-16 12:21 kgv New Issue
2021-10-16 12:21 kgv Assigned To => kgv
2021-10-16 12:21 kgv File Added: Stacked007.png
2021-10-16 12:22 git Note Added: 0104688
2021-10-16 13:25 kgv Test case number => N/A
2021-10-16 13:25 kgv Note Added: 0104689
2021-10-16 13:25 kgv Assigned To kgv => bugmaster
2021-10-16 13:25 kgv Status new => resolved
2021-10-16 13:25 kgv Status resolved => reviewed
2021-10-23 16:59 smoskvin Note Added: 0104808
2021-10-23 16:59 smoskvin Status reviewed => tested
2021-10-23 20:49 smoskvin Changeset attached => occt master 4e61131a
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-10-24 10:23 git Note Added: 0104829